Subject: Re: [PATCH] powerpc: emulate power5 popcntb instruction

From: Gabriel Paubert <[email-masked]>
Date: Fri, 25 Aug 2006 11:59:46 +0200

On Thu, Aug 24, 2006 at 05:53:56PM +0200, Segher Boessenkool wrote:
> > Also it would be really nice if you could figure out a way to
> > avoid doing the unnecessary 64-bit logical operations on 32-bit
> > machines
> 
> Like I asked before -- should we run this emulation on 32-bit
> machines at all?  The instruction only exists in the 64-bit
> architecture after all.

It's useless for now, but I would not be surprised if someone 
creates a new 32 bit processor which includes this instruction.

	Gabriel